VTK: omf::ProjectElement Class Reference

| VTK 9.3.1

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
omf::ProjectElement Class Referenceabstract

`#include <OMFElement.h>`

Inheritance diagram for omf::ProjectElement:
[legend]

## Public Member Functions
| ProjectElement (const std::string &uid, double globalOrigin[3])
virtual | ~ProjectElement ()=default
virtual void | ProcessJSON (std::shared_ptr< OMFFile > &file, const Json::Value &element, vtkPartitionedDataSet *output, bool writeOutTextures, bool columnMajorOrdering)

## Protected Member Functions
virtual void | ProcessGeometry (std::shared_ptr< OMFFile > &file, const std::string &geometryUID, vtkPartitionedDataSet *output)=0
virtual void | ProcessDataFields (std::shared_ptr< OMFFile > &file, const Json::Value &dataJSON, vtkPartitionedDataSet *output)
virtual void | ProcessColumnOrdering (std::shared_ptr< OMFFile > &, const Json::Value &, vtkPartitionedDataSet *)
virtual void | ProcessTextures (std::shared_ptr< OMFFile > &file, const Json::Value &textureJSON, vtkPartitionedDataSet *output, const std::string &elementName)

## Protected Attributes
std::string | UID
double | GlobalOrigin [3] = { 0, 0, 0 }

## Detailed Description

Definition at line 25 of file OMFElement.h.

## Constructor & Destructor Documentation

## ◆ ProjectElement()

omf::ProjectElement::ProjectElement | ( | const std::string & | uid,
|  | double | globalOrigin[3]
| ) |  |

## ◆ ~ProjectElement()

virtual omf::ProjectElement::~ProjectElement | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ ProcessJSON()

virtual void omf::ProjectElement::ProcessJSON | ( | std::shared_ptr< OMFFile > & | file,
|  | const Json::Value & | element,
|  | vtkPartitionedDataSet * | output,
|  | bool | writeOutTextures,
|  | bool | columnMajorOrdering
| ) |  |
| virtual

## ◆ ProcessGeometry()

virtual void omf::ProjectElement::ProcessGeometry | ( | std::shared_ptr< OMFFile > & | file,
|  | const std::string & | geometryUID,
|  | vtkPartitionedDataSet * | output
| ) |  |
| protectedpure virtual

Implemented in omf::VolumeElement, omf::SurfaceElement, omf::LineSetElement, and omf::PointSetElement.

## ◆ ProcessDataFields()

virtual void omf::ProjectElement::ProcessDataFields | ( | std::shared_ptr< OMFFile > & | file,
|  | const Json::Value & | dataJSON,
|  | vtkPartitionedDataSet * | output
| ) |  |
| protectedvirtual

## ◆ ProcessColumnOrdering()

virtual void omf::ProjectElement::ProcessColumnOrdering | ( | std::shared_ptr< OMFFile > & | ,
|  | const Json::Value & | ,
|  | vtkPartitionedDataSet * |
| ) |  |
| inlineprotectedvirtual

Reimplemented in omf::VolumeElement.

Definition at line 42 of file OMFElement.h.

## ◆ ProcessTextures()

virtual void omf::ProjectElement::ProcessTextures | ( | std::shared_ptr< OMFFile > & | file,
|  | const Json::Value & | textureJSON,
|  | vtkPartitionedDataSet * | output,
|  | const std::string & | elementName
| ) |  |
| protectedvirtual

## Member Data Documentation

## ◆ UID

std::string omf::ProjectElement::UID
| protected

Definition at line 35 of file OMFElement.h.

## ◆ GlobalOrigin

double omf::ProjectElement::GlobalOrigin[3] = { 0, 0, 0 }
| protected

Definition at line 36 of file OMFElement.h.

The documentation for this class was generated from the following file:

- IO/OMF/core/OMFElement.h